Bug 1019181 - [amqp1.0] Receiving from exchange is reliable by default
[amqp1.0] Receiving from exchange is reliable by default
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-15 05:15 EDT by Petr Matousek
Modified: 2015-01-21 07:54 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:54:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5232 None None None Never

  None (edit)
Description Petr Matousek 2013-10-15 05:15:44 EDT
Description of problem:

Receiving directly from exchange is reliable by default using amqp1.0
while amqp0-10 default is unreliable.

With regard to the difference was not deliberate (discussed with Gordon), I'm raising the bug to let developers think about these settings are appropriate.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-19

How reproducible:
100%

Steps to Reproduce:
1. acquire message using consumer do not accept yet
2. the message remains on the queue until it's accepted

Actual results:
Receiving from exchange is reliable by default when using amqp1.0
Receiving from exchange is unreliable by default when using amqp0-10

Expected results:
n/a

Additional info:
Comment 1 Gordon Sim 2013-10-15 09:07:57 EDT
Fixed upstream: https://svn.apache.org/r1532308

Note this also fixes https://bugzilla.redhat.com/show_bug.cgi?1018845
Comment 2 Petr Matousek 2013-10-22 05:42:58 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

Direct receiving from exchange is now unreliable by default for both the protocols (amqp0-10/1.0).

packages used for testing:
qpid-cpp-*-0.22-20.el6

Note You need to log in before you can comment on or make changes to this bug.